from obitools3.obidms.capidms cimport *
from libc.stdint cimport *


cdef extern from "obitypes.h" nogil:
    enum OBIType:
        pass
    enum OBIBool:
        pass
    
    ctypedef OBIType OBIType_t
    ctypedef OBIBool obibool_t
    ctypedef int32_t obiint_t
    ctypedef double obifloat_t
    ctypedef char obichar_t  
    ctypedef size_t obiidx_t

    char* name_data_type(int data_type)


cdef extern from "obidmscolumn.h" nogil:
    struct OBIDMS_column_t:
        pass

    ctypedef OBIDMS_column_t* OBIDMS_column_p
    ctypedef int32_t obiversion_t

    OBIDMS_column_p obi_create_column(OBIDMS_p dms, const char* column_name, OBIType_t type, size_t nb_elements, size_t nb_elements_per_line, const char* elements_names)
    size_t obi_column_get_line_count(OBIDMS_column_p column)
    const char* obi_column_get_elements_names(OBIDMS_column_p column)
    void obi_column_make_unwritable(OBIDMS_column_p column)
    size_t obi_column_get_element_index_from_name(OBIDMS_column_p column, const char* element_name)
    OBIDMS_column_p obi_open_column(OBIDMS_p dms, const char* column_name, obiversion_t version_number)
    size_t obi_column_get_nb_elements_per_line(OBIDMS_column_p column)
    OBIType_t obi_column_get_type(OBIDMS_column_p column)
    int obi_close_column(OBIDMS_column_p column)
    OBIType_t obi_column_get_data_type_from_name(OBIDMS_p dms, const char* column_name)
    OBIDMS_column_p obi_clone_column(OBIDMS_p dms, const char* column_name, obiversion_t version_number, bint clone_data)


cdef class OBIDMS_column:
    cdef OBIDMS_column_p pointer
    cdef OBIDMS_p dms
    cdef str data_type   # keep as OBIType_t? both?
    cdef str dms_name
    cdef str column_name
