/****************************************************************************
 * OBIDMS_column_int functions                                              *
 ****************************************************************************/

/**
 * @file obidsmcolumn_int.c
 * @author Celine Mercier
 * @date July 21st 2015
 * @brief Functions handling OBIColumns containing data with the OBIType OBI_INT.
 */


#include <stdlib.h>
#include <stdio.h>

#include "obidmscolumn.h"
#include "obitypes.h"
#include "obierrno.h"
#include "obidebug.h"


/**********************************************************************
 *
 * D E F I N I T I O N   O F   T H E   P U B L I C   F U N C T I O N S
 *
 **********************************************************************/

int obi_column_set_int(OBIDMS_column_p column, size_t line_nb, size_t element_idx, obiint_t value)
{
	// when/where check if can write?
	*(((obiint_t*) (column->data)) + (line_nb * ((column->header)->nb_elements_per_line)) + element_idx) = value;
	return 0;
}


obiint_t obi_column_get_int(OBIDMS_column_p column, size_t line_nb, size_t element_idx)
{
	return *(((obiint_t*) (column->data)) + (line_nb * ((column->header)->nb_elements_per_line)) + element_idx);
}


//obiint_t* obi_column_get_line_address_int(OBIDMS_column_p column, size_t nb_elements_per_line, size_t line_nb)
//{
//	return (((obiint_t*) (column->data)) + (line_nb * nb_elements_per_line));
//}
